Name:          python-pickleshare
Version:       0.7.5
Release:       1mamba
Summary:       A small 'shelve' like datastore with concurrency support
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/pickleshare/
Source:        https://pypi.debian.net/pickleshare/pickleshare-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 python-pickleshare' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pickleshare-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so
%doc LICENSE
## note: add extra documentation (if any)
# %doc README.md

%changelog
* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.5-1mamba
- package created using the webbuild interface
